Loading...
Searching...
No Matches
Dune::Amg::ConstructionArgs< SeqILU< M, X, Y > > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/smoother.hh>`

Inheritance diagram for Dune::Amg::ConstructionArgs< SeqILU< M, X, Y > >:

## Public Member Functions

| ConstructionArgs (int n=0)
void | setN (int n)
int | getN ()
void | setMatrix (const Matrix &matrix)
const Matrix & | getMatrix () const
void | setArgs (const SmootherArgs &args)
void | setComm (T1 &comm)
const SequentialInformation & | getComm ()
const SmootherArgs | getArgs () const
void | setMatrix (const Matrix &matrix)
virtual void | setMatrix (const Matrix &matrix, const AggregatesMap &amap)
const Matrix & | getMatrix () const
void | setArgs (const SmootherArgs &args)
void | setComm (T1 &comm)
const SequentialInformation & | getComm ()
const SmootherArgs | getArgs () const

## Protected Attributes

const Matrix * | matrix_
const Matrix * | matrix_

## Member Function Documentation

## getArgs() [1/2]

const SmootherArgs Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::getArgs | ( |  | ) | const

inline

## getArgs() [2/2]

const SmootherArgs Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::getArgs | ( |  | ) | const

inline inherited

## getComm() [1/2]

const SequentialInformation & Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::getComm | ( |  | ) |

inline

## getComm() [2/2]

const SequentialInformation & Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::getComm | ( |  | ) |

inline inherited

## getMatrix() [1/2]

const Matrix & Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::getMatrix | ( |  | ) | const

inline

## getMatrix() [2/2]

const Matrix & Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::getMatrix | ( |  | ) | const

inline inherited

## setArgs() [1/2]

void Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::setArgs | ( | const SmootherArgs & | args | ) |

inline

## setArgs() [2/2]

void Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::setArgs | ( | const SmootherArgs & | args | ) |

inline inherited

## setComm() [1/2]

void Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::setComm | ( | T1 & | comm | ) |

inline

## setComm() [2/2]

void Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::setComm | ( | T1 & | comm | ) |

inline inherited

## setMatrix() [1/3]

void Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::setMatrix | ( | const Matrix & | matrix | ) |

inline

## setMatrix() [2/3]

virtual void Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::setMatrix | ( | const Matrix & | matrix,
|  | const AggregatesMap & | amap )

inline virtual

## setMatrix() [3/3]

void Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::setMatrix | ( | const Matrix & | matrix | ) |

inline inherited

## Member Data Documentation

## matrix_ [1/2]

const Matrix* Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::matrix_

protected

## matrix_ [2/2]

const Matrix* Dune::Amg::DefaultConstructionArgs< SeqILU< M, X, Y > >::matrix_

protected inherited

The documentation for this class was generated from the following file:

- smoother.hh